Subject: Re: bug#11203: gawk, automake 1.11.4 and tcc

From: Aharon Robbins <[email-masked]>
Date: Mon, 09 Apr 2012 17:13:42 +0300

Hi Stefano.

> Date: Mon, 09 Apr 2012 11:19:02 +0200
> From: Stefano Lattarini <[email-masked]>
> To: Aharon Robbins <[email-masked]>
> CC: [email-masked]
> Subject: Re: bug#11203: gawk, automake 1.11.4 and tcc
>
> tags 11203 - moreinfo
> tags 11203 + notabug
> close 11203
> thanks
>
> On 04/09/2012 10:54 AM, Stefano Lattarini wrote:
> >
> > I cannot reproduce this error with the gawk 'master' branch
> >
> But I can reproduce with what you have committed to the 'gawk-4.0-stable'
> branch (sorry for missing that part in your previous message).  And the
> reason is that you've *not* completely updated your build system to
> automake 1.11.4 -- in particular, the 'depcomp' script is still the one
> provided by an older automake (it is *six*  years old!):

OK - that makes sense. Thanks for the help in tracing this down.

>  $ ./depcomp --version
>  depcomp 2006-10-15.18
>
> I'm thus closing this report as "not a bug".  Feel free to re-open it if
> the problem persist after you have truly and completely upgraded to the
> use of automake 1.11.4.
>
> And FWIW, to avoid issues like this in the future, I'd advise you to stop
> committing generated (or automake-provided) files into the git repository
> of gawk (like is done by many other GNU packages).

This is on purpose. It allows gawk users out in the wild to simply check out
the gawk repository, run a simple script to touch some files to get the
modification dates correct, and then invoke the usual configure + make
incantation.

I think it's a serious inconvenience for people who want the latest code
to have to have all the infrastructure stuff too, just to get to the
stage where they can run configure.

> If you *really* don't want to do so, remember to run automake with the
> '--force-missing' option whenever you upgrade to a new automake version.

Adding --force-missing did the trick and things work well now.  I will
use that option in the future.

Thanks for the help!

> HTH,
>   Stefano

Arnold